<?php

require_once '../MysqlConsulta.php';


//referenciar o DomPDF com namespace
use Dompdf\Dompdf;

//funcao para gerar o relatorio
function gerarRealtorio()
{

	$instanciaSqlMercadoria = new MysqlConsulta();
	$produtosEtiqueta = $instanciaSqlMercadoria->produtosEtiquetas();


    // include autoloader do dompdf
    require_once("../dompdf/autoload.inc.php");
	
    $dompdf = new DOMPDF();
	
    $papel = array(0,0,100.00,30.00);
    $dompdf->set_paper($papel, '');
	
	//funcao que escreve a etiqueta
	function escrever($mercadoria,$preco){

	$html = "<div class= 'cabecalho'>
	
	$mercadoria </div>
	";

	$html .= '<p>';

	$html .= "<div class= preco>   R$ $preco  </div>";
	//
	return $html;
	}

	$html = '';

	//buscar etiquetas por item
	foreach($produtosEtiqueta as $etiqueta) {

		$preco =  $etiqueta['preco'];
		$descricao = $etiqueta['descricao'];
		$html .= escrever($descricao,$preco);
	
	}



	//ler a pagina html
	$dompdf->load_html('

	<style>
			* {
				margin:0;
			}

			.cabecalho {
				margin-left: 2px;
				width:100%;
				heigth:100px;
				font-size:7px;					
			}
			.preco {
				text-align:right;
				position: relative;
				bottom: 0;
				margin-right:5px;
				margin-bottom: 0px;
				font-size:13px;
			}		

    </style>'. $html
	);

    $dompdf->render();
     // Enviar o PDF para o navegador
	 $dompdf->stream("etiqueta.pdf", ["Attachment" => false]); 
}

gerarRealtorio();
